#include <cstdio>
#include <cstdlib>
#include <cstring>
#include "NSFImport.h"

int main(int argc, char** argv)
{
	char ftmname[128];
	char* nsfname;
	
	NSFImporter* Imp = new NSFImporter();
	
	if(argc == 2){
		nsfname = argv[1];
		strcpy(ftmname, nsfname);
		ftmname[strlen(ftmname)-4] = 0;
		strcat(ftmname, ".ftm");
		if(!Imp->Import(nsfname, 0, 120)) goto main_error;
		printf("Created %s\n", ftmname);
	} else {
		printf("Usage: N163Import.exe [filename]\n");
	}

	system("pause");
	return 0;

main_error:

	printf("Fatal error. :(\n");
	system("pause");
	return 1;
}

// Known bugs:
//
// N163 waveform/channel count
// FDS waveform/volume
// FDS bankswitching
// Robokabuto = broken ;_____;
// T-Square = broken as well